> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.ordergroove.com/reference/rest-rpc-api/subscriptions/create-in-order/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server. # Create in Order POST https://restapi.ordergroove.com/subscriptions/iu/ Content-Type: application/json Creates a subscription with its first shipment in an existing order (dictated by the 'order' field in the request). This will be tracked by OrderGroove as an 'Impulse Upsell' order. Reference: https://developer.ordergroove.com/reference/rest-rpc-api/subscriptions/create-in-order ## Authentication - `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication). - `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication). ## Request ### Body (application/json) This endpoint expects an object. - `merchant` (string, required) — Merchant ID - `customer` (string, required) — Customer ID - `product` (string, required) — Product ID - `offer` (string, required) — Offer ID - `order` (string, required) — Order ID - `session_id` (string, required) — Session ID, obtained from og_session_id cookie - `payment` (string, required) — Payment record ID - `shipping_address` (string, required) — Shipping address record ID - `quantity` (integer, required) — Number of items - `every` (integer, required) — Number of periods - `every_period` (integer, required) — Type of period - `price` (string, optional) — Price of subscription. To be used with Price Lock. - `extra_data` (string, optional) — \{"cat\_name": "Charlie"} - `components` (list of SubscriptionsIuPostRequestBodyContentApplicationJsonSchemaComponentsItems, optional) — Multi Item Bundle components: \[\{"product":"public\_id\_abc", "quantity": 2}], Legacy Bundle components: \[\{"product":"public\_id\_abc"}] ## Response ### 200 200 - `public_id` (string, optional) - `product_attribute` (any, optional) - `price` (string, optional) - `frequency_days` (integer, optional, default: 0) - `reminder_days` (integer, optional, default: 0) - `start_date` (string, optional) - `cancelled` (string, optional, nullable) - `cancel_reason_code` (integer, optional, nullable) - `cancel_reason` (string, optional) - `merchant_order_id` (string, optional) - `subscription_type` (string, optional) - `components` (list of SubscriptionsIuPostResponsesContentApplicationJsonSchemaComponentsItems, optional) - `created` (string, optional) - `updated` (string, optional) - `extra_data` (string, optional) - `live` (string, optional) ## Errors ### 400 Bad Request Error 400 - `[field_name]` (string, optional) ### 403 Forbidden Error 403 - `detail` (string, optional) ## Types ### SubscriptionsIuPostRequestBodyContentApplicationJsonSchemaComponentsItems - `product` (string, required) — The id of the product that is being added to the bundle - `quantity` (integer, required, default: 1) — The quantity of the product being added ### SubscriptionsIuPostResponsesContentApplicationJsonSchemaComponentsItems - `product` (string, optional) ## Examples **Request** ```json { "merchant": "string", "customer": "string", "product": "string", "offer": "string", "order": "string", "session_id": "string", "payment": "string", "shipping_address": "string", "quantity": 1, "every": 1, "every_period": 1 } ``` **Response** ```json { "public_id": "f9cb2f93e1c845eb9de9eff46ddb3cbf", "price": "12.99", "frequency_days": 42, "reminder_days": 42, "start_date": "2017-02-29 12:00:00", "cancelled": null, "cancel_reason_code": 4, "cancel_reason": "4|Overstocked", "merchant_order_id": "301617", "subscription_type": "Replenish", "components": [ { "product": "product_id_1" } ], "created": "2017-02-29 12:00:00", "updated": "2017-02-29 12:00:00", "extra_data": "{\"some\": \"extra\", \"fields\": \"here\"}", "live": "True" } ``` **SDK Code** ```python Result import requests url = "https://restapi.ordergroove.com/subscriptions/iu/" payload = { "merchant": "string", "customer": "string", "product": "string", "offer": "string", "order": "string", "session_id": "string", "payment": "string", "shipping_address": "string", "quantity": 1, "every": 1, "every_period": 1 } headers = { "x-api-key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Result const url = 'https://restapi.ordergroove.com/subscriptions/iu/'; const options = { method: 'POST', headers: {'x-api-key': '', 'Content-Type': 'application/json'}, body: '{"merchant":"string","customer":"string","product":"string","offer":"string","order":"string","session_id":"string","payment":"string","shipping_address":"string","quantity":1,"every":1,"every_period":1}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Result package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://restapi.ordergroove.com/subscriptions/iu/" payload := strings.NewReader("{\n \"merchant\": \"string\",\n \"customer\": \"string\",\n \"product\": \"string\",\n \"offer\": \"string\",\n \"order\": \"string\",\n \"session_id\": \"string\",\n \"payment\": \"string\",\n \"shipping_address\": \"string\",\n \"quantity\": 1,\n \"every\": 1,\n \"every_period\": 1\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Result require 'uri' require 'net/http' url = URI("https://restapi.ordergroove.com/subscriptions/iu/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"merchant\": \"string\",\n \"customer\": \"string\",\n \"product\": \"string\",\n \"offer\": \"string\",\n \"order\": \"string\",\n \"session_id\": \"string\",\n \"payment\": \"string\",\n \"shipping_address\": \"string\",\n \"quantity\": 1,\n \"every\": 1,\n \"every_period\": 1\n}" response = http.request(request) puts response.read_body ``` ```java Result import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://restapi.ordergroove.com/subscriptions/iu/") .header("x-api-key", "") .header("Content-Type", "application/json") .body("{\n \"merchant\": \"string\",\n \"customer\": \"string\",\n \"product\": \"string\",\n \"offer\": \"string\",\n \"order\": \"string\",\n \"session_id\": \"string\",\n \"payment\": \"string\",\n \"shipping_address\": \"string\",\n \"quantity\": 1,\n \"every\": 1,\n \"every_period\": 1\n}") .asString(); ``` ```php Result request('POST', 'https://restapi.ordergroove.com/subscriptions/iu/', [ 'body' => '{ "merchant": "string", "customer": "string", "product": "string", "offer": "string", "order": "string", "session_id": "string", "payment": "string", "shipping_address": "string", "quantity": 1, "every": 1, "every_period": 1 }', 'headers' => [ 'Content-Type' => 'application/json', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp Result using RestSharp; var client = new RestClient("https://restapi.ordergroove.com/subscriptions/iu/"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"merchant\": \"string\",\n \"customer\": \"string\",\n \"product\": \"string\",\n \"offer\": \"string\",\n \"order\": \"string\",\n \"session_id\": \"string\",\n \"payment\": \"string\",\n \"shipping_address\": \"string\",\n \"quantity\": 1,\n \"every\": 1,\n \"every_period\": 1\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Result import Foundation let headers = [ "x-api-key": "", "Content-Type": "application/json" ] let parameters = [ "merchant": "string", "customer": "string", "product": "string", "offer": "string", "order": "string", "session_id": "string", "payment": "string", "shipping_address": "string", "quantity": 1, "every": 1, "every_period": 1 ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/iu/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > APIs, SDKs, and guides for building subscription commerce with Ordergroove.